## GdlDockTablabel GdlDockTablabel — A custom label widget. |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | gdl_dock_tablabel_new ()
void | gdl_dock_tablabel_activate ()
void | gdl_dock_tablabel_deactivate ()

## Properties

GdlDockItem * | item | Read / Write

## Signals

void | button-pressed-handle | Run Last

## Types and Values

struct | GdlDockTablabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GdlDockTablabel

## Implemented Interfaces

GdlDockTablabel implements AtkImplementorIface and GtkBuildable.

## Description

This is a deprecated label widget in GDL 3.6.

## Functions

### gdl_dock_tablabel_new ()

    GtkWidget *
    gdl_dock_tablabel_new (GdlDockItem *item);

`gdl_dock_tablabel_new` has been deprecated since version 3.6 and should not be used in newly-written code.

Use a GtkLabel instead

Creates a new GDL tab label widget.

#### Parameters

item | The dock item that associated with this label widget. |

#### Returns

a new GdlDockTablabel.

### gdl_dock_tablabel_activate ()

    void
    gdl_dock_tablabel_activate (GdlDockTablabel *tablabel);

`gdl_dock_tablabel_activate` has been deprecated since version 3.6 and should not be used in newly-written code.

Set the widget in "activated" state.

#### Parameters

tablabel | A GdlDockTablabel widget |

### gdl_dock_tablabel_deactivate ()

    void
    gdl_dock_tablabel_deactivate (GdlDockTablabel *tablabel);

`gdl_dock_tablabel_deactivate` has been deprecated since version 3.6 and should not be used in newly-written code.

Set the widget in "deactivated" state.

#### Parameters

tablabel | A GdlDockTablabel widget |

## Types and Values

### struct GdlDockTablabel

    struct GdlDockTablabel;

`GdlDockTablabel` is deprecated and should not be used in newly-written code.

## Property Details

### The `“item”` property

      “item”                     GdlDockItem *

Dockitem which 'owns' this tablabel.

Owner: GdlDockTablabel

Flags: Read / Write

## Signal Details

### The `“button-pressed-handle”` signal

    void
    user_function (GdlDockTablabel *label,
                   GdkEvent        *event,
                   gpointer         user_data)

This signal is emitted when the user clicks on the label.

#### Parameters

label | The GdlDockTablabel |
event | A GdkEvent |
user_data | user data set when the signal handler was connected. |

Flags: Run Last